Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
asynchronous_arg_t Struct Reference

## Data Fields
void * | stackaddr
int | errnum
uintptr_t(* | func )(uintptr_t self, int argc, uintptr_t *argv)
uintptr_t | self
int | argc
uintptr_t * | argv

## Detailed Description

Definition at line 5951 of file win32.c.

## Field Documentation

## ◆ argc

int asynchronous_arg_t::argc

Definition at line 5959 of file win32.c.

## ◆ argv

uintptr_t* asynchronous_arg_t::argv

Definition at line 5960 of file win32.c.

## ◆ errnum

int asynchronous_arg_t::errnum

Definition at line 5954 of file win32.c.

## ◆ func

uintptr_t(* asynchronous_arg_t::func) (uintptr_t self, int argc, uintptr_t *argv)

Definition at line 5957 of file win32.c.

Referenced by rb_w32_asynchronize().

## ◆ self

uintptr_t asynchronous_arg_t::self

Definition at line 5958 of file win32.c.

## ◆ stackaddr

void* asynchronous_arg_t::stackaddr

Definition at line 5953 of file win32.c.

The documentation for this struct was generated from the following file:

- win32/win32.c